Retrieves the unavailability with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Response Formats
application/json, text/json
{
"id": "ce64cd6f-98ea-4ad6-8fcf-25b18c0c9b7b",
"date_start": "2026-11-16T11:13:56.8675405+00:00",
"date_end": "2026-11-16T11:13:56.8675405+00:00",
"modified_dateutc": "2026-11-16T11:13:56.8675405+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "3cd511b4-514f-4bdc-b497-e893bff90d35",
"user_code": "sample string 8",
"user": {
"id": "8c5804fd-5151-49cd-aaee-8ef06e6c0730",
"db_language_id": "d6653bda-29b3-4e2c-b4fb-c95aa14399e2",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-16T11:13:56.8675405+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "950b1390-8867-474c-97a2-5de4bed5a8b9",
"sales_organization": {
"id": "cfae8440-db5a-44e6-83dc-dd8fc172a6e4",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "c4fe4b4c-a9a9-48c1-a1d3-0d5eec22e9a3",
"db_currency_id": "ac5583ac-bb75-46fe-affd-faf69bcfa127",
"db_language_id": "52edc517-7ab8-48db-aea5-7d4c263c8e88",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T11:13:56.8675405+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "44bb888b-0d4e-4dba-a8a6-a2d4040bfea8",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "985ff8d4-0e42-497a-8014-0eff47af2df6",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-16T11:13:56.8675405+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "33efdc2d-e51d-40f0-a9b3-ec3dc5b39061"
},
"user_unavailability_type_id": "409bac68-d5b1-42a1-8cc6-4e9b50a192d5",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "7e45b37e-21b6-4aad-b318-75fbff6a646f",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "8f68c66c-42a3-449c-aaef-0161a9b292ce",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "cfae8440-db5a-44e6-83dc-dd8fc172a6e4",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "c4fe4b4c-a9a9-48c1-a1d3-0d5eec22e9a3",
"db_currency_id": "ac5583ac-bb75-46fe-affd-faf69bcfa127",
"db_language_id": "52edc517-7ab8-48db-aea5-7d4c263c8e88",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T11:13:56.8675405+00:00"
},
"modified_dateutc": "2026-11-16T11:13:56.8675405+00:00"
}
}